Add user to group
curl --request POST \
--url https://databunkerpro.myorg.com/v2/GroupAddUser \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"identity": "<string>",
"groupid": 123,
"groupname": "<string>",
"roleid": 123,
"rolename": "<string>",
"request_metadata": {}
}
'import requests
url = "https://databunkerpro.myorg.com/v2/GroupAddUser"
payload = {
"identity": "<string>",
"groupid": 123,
"groupname": "<string>",
"roleid": 123,
"rolename": "<string>",
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity: '<string>',
groupid: 123,
groupname: '<string>',
roleid: 123,
rolename: '<string>',
request_metadata: {}
})
};
fetch('https://databunkerpro.myorg.com/v2/GroupAddUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "The user record was not found"
}{
"status": "error",
"message": "Internal error"
}Group Management
Add user to group
Adds a user to a specific group with optional role assignment
POST
/
v2
/
GroupAddUser
Add user to group
Authorizations
API token for authentication
Body
application/json
Mode of user identification
Available options:
login, token, email, phone, custom User identifier corresponding to the mode
ID of the group
Name of the group
ID of the role to assign
Name of the role to assign
Additional metadata for the request
Response
User added to group successfully
Example:
"ok"
⌘I